# IGListTransitionData Class Reference

# IGListTransitionData

Objective-C

    @interface IGListTransitionData : NSObject

Swift

    class ListTransitionData : NSObject

Container object that holds the data needed for an update.

- `-initFromObjects:toObjects:toSectionControllers:`

  Undocumented

  #### Declaration

  Objective-C

      - (instancetype)initFromObjects:(NSArray *)fromObjects
                            toObjects:(NSArray *)toObjects
                 toSectionControllers:(NSArray<IGListSectionController *> *)toSectionControllers NS_DESIGNATED_INITIALIZER;

  Swift

      init(from fromObjects: [Any], to toObjects: [Any], to toSectionControllers: [IGListSectionController])

- `-init`

  Unavailable

  Undocumented

  #### Declaration

  Objective-C

      - (instancetype)init NS_UNAVAILABLE;

- `+new`

  Unavailable

  Undocumented

  #### Declaration

  Objective-C

      + (instancetype)new NS_UNAVAILABLE;

- `fromObjects`

  The previous objects in the collection view. Objects must conform to `IGListDiffable`.

  #### Declaration

  Objective-C

      @property (nonatomic, copy, readonly) NSArray *_Nonnull fromObjects;

  Swift

      var fromObjects: [Any] { get }

- `toObjects`

  The new objects in the collection view. Objects must conform to `IGListDiffable`.

  #### Declaration

  Objective-C

      @property (nonatomic, copy, readonly) NSArray *_Nonnull toObjects;

  Swift

      var toObjects: [Any] { get }

- `toSectionControllers`

  The section controllers corresponding to the `toObjects`

  #### Declaration

  Objective-C

      @property (nonatomic, copy, readonly) NSArray<IGListSectionController *> *_Nonnull toSectionControllers;

  Swift

      var toSectionControllers: [IGListSectionController] { get }

© 2024 Instagram. All rights reserved. (Last updated: 2024-05-13)

Generated by jazzy ♪♫ v0.15.0, a Realm project.